# Function dxfToLayerExtensions

- dxfToLayerExtensions(dxfBlob, options, contextOverrides?): Promise<LayerExtension[]>

- Converts a Blob that represents DXF data to an array of layer extensions.

  #### Parameters

  - dxfBlob: Blob

    The Blob containing DXF data to convert.

  - options: DxfToLayerExtensionsOptions

    The options for converting the DXF file.

  - `Optional` contextOverrides: Partial<IDxfJsonComponentContext>

    Optional overrides for the DXF JSON component context.

  #### Returns Promise<LayerExtension[]>

  A promise that resolves to an array of `LayerExtension` objects.